#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai2_18.INP");
    ofstream f2("bai2_18.OUT");
long long a[100000];


int main()
{ long long n,i,j,k,dem=0;
f1>>n;
for (i=1;i<=n;i++)
{f1>>a[i];
}
for (i=1;i<=n-2;i++)
for (j=i+1;j<=n-1;j++)
 for(k=j+1;k<=n;k++)
 {if (a[i]+a[j]>a[k]&&a[i]+a[k]>a[j]&&a[k]+a[j]>a[i])
 dem++;
 }
f2<<dem;}
